aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/slugos-init/files/boot/flash
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/slugos-init/files/boot/flash')
-rw-r--r--recipes/slugos-init/files/boot/flash29
1 files changed, 29 insertions, 0 deletions
diff --git a/recipes/slugos-init/files/boot/flash b/recipes/slugos-init/files/boot/flash
new file mode 100644
index 0000000000..01c20e963a
--- /dev/null
+++ b/recipes/slugos-init/files/boot/flash
@@ -0,0 +1,29 @@
+#!/bin/sh
+# boot from the current (flash) root partition
+# nothing need be done apart from setting the
+# system LED status correctly
+
+# Mount required filesystems if necessary
+[ -e /proc/cpuinfo ] || mount -t proc proc /proc
+[ -e /sys/class ] || mount -t sysfs sysfs /sys
+
+leds beep
+. /etc/default/functions
+leds boot system
+
+if [ -x /sbin/init ]
+then
+ umount /proc 2>/dev/null
+ umount /sys 2>/dev/null
+ exec /sbin/init
+fi
+
+# fallback if /sbin/init has been deleted (bad!)
+# Mount required filesystems if necessary
+[ -e /proc/cpuinfo ] || mount -t proc proc /proc
+[ -e /sys/class ] || mount -t sysfs sysfs /sys
+leds boot system panic
+exec <>/dev/console >&0 2>&0
+test -x /sbin/sulogin && exec /sbin/sulogin
+test -x /bin/sh && exec /bin/sh
+exit 1